Debian Bug report logs - #728593
ITA: libmikmod -- Portable sound library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Gergely Nagy <algernon@madhouse-project.org>

Date: Sun, 3 Nov 2013 12:54:01 UTC

Owned by: Stephen Kitt <skitt@debian.org>

Severity: normal

Fixed in versions libmikmod/3.3.4-1, libmikmod/3.1.16-1

Done: Stephen Kitt <skitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728593; Package wnpp. (Sun, 03 Nov 2013 12:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 03 Nov 2013 12:54:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: libmikmod -- Portable sound library
Date: Sun, 03 Nov 2013 13:51:14 +0100
Package: wnpp
Severity: normal

I request an adopter for the libmikmod package. It recently got a new
upstream maintainer and new, much improved releases have been made,
which should be packaged. I lack the time to take good care of the
package, hence the request for a new maintainer. This goes hand in
hand with the mikmod package, which is also up for adoption, and
should be maintained by the same person or team.

The package description is:
 This library is capable of playing samples as well as module
 files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
 subsequently been hacked by many hands and now runs on many Unix flavours.
 It uses the OSS /dev/dsp driver included in all recent kernels for output,
 and will also write wav files.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.



Changed Bug title to 'ITA: libmikmod -- Portable sound library' from 'RFA: libmikmod -- Portable sound library' Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Fri, 15 Nov 2013 20:21:10 GMT) Full text and rfc822 format available.

Owner recorded as Stephen Kitt <skitt@debian.org>. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Fri, 15 Nov 2013 20:21:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 10 Dec 2013 07:15:16 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <skitt@debian.org>:
You have taken responsibility. (Sun, 15 Dec 2013 16:04:16 GMT) Full text and rfc822 format available.

Notification sent to Gergely Nagy <algernon@madhouse-project.org>:
Bug acknowledged by developer. (Sun, 15 Dec 2013 16:04:16 GMT) Full text and rfc822 format available.

Message #16 received at 728593-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: 728593-close@bugs.debian.org
Subject: Bug#728593: fixed in libmikmod 3.3.4-1
Date: Sun, 15 Dec 2013 16:01:14 +0000
Source: libmikmod
Source-Version: 3.3.4-1

We believe that the bug you reported is fixed in the latest version of
libmikmod, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728593@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <skitt@debian.org> (supplier of updated libmikmod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 Dec 2013 01:11:56 +0100
Source: libmikmod
Binary: libmikmod-dev libmikmod3
Architecture: source amd64
Version: 3.3.4-1
Distribution: experimental
Urgency: low
Maintainer: Stephen Kitt <skitt@debian.org>
Changed-By: Stephen Kitt <skitt@debian.org>
Description: 
 libmikmod-dev - Portable sound library - development files
 libmikmod3 - Portable sound library
Closes: 672697 728593
Changes: 
 libmikmod (3.3.4-1) experimental; urgency=low
 .
   * New maintainer (closes: #728593).
   * New upstream version (closes: #672697), with a new soname: libmikmod2
     becomes libmikmod3.
   * Upload to experimental to prepare the library transition.
   * Ship the -dev package as libmikmod-dev.
   * Update patches:
     - drop 0001-Drop-LIBOBJS-from-configure.in.patch, obsolete
     - drop 0003-Use-_LP64-to-detect-64bit-arches.patch, integrated
       upstream
     - drop 0004-CVE-2009-0179.patch, integrated upstream
     - drop 0005-CVE-2007-6720.patch, integrated upstream
     - drop 0006-CVE-2009-3995f.patch, fixed in another way upstream
     - drop 0007-CVE-2010-2546.patch, integrated upstream
     - drop 0008-Fix-libmikmod-Makefile.in.patch, obsolete
     - drop 0009-libmikmod-Makefile.in-Respect-CPPFLAGS-and-LDFLAGS.patch,
       obsolete
     - drop 0010-libmikmod-config-manual-page-fix.patch, integrated
       upstream
     - drop 0011-Disable-ALSA-by-default.patch, obsolete
     - drop 0012-fix-ESD.patch, integrated upstream
     - drop 0013-fix-building-of-ESD.patch, obsolete
     - update
       0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch
     - add 0015-fix-texinfo-infox-after-info-error.patch to fix build
       errors with texinfo 5.
   * Add symbols file.
   * Force cmake usage as recommended upstream:
     - delete configure.ac;
     - stop using dh-autoreconf;
     - manually move the appropriate files to multi-arch locations;
     - manually install the libmikmod-config manpage;
     - forcibly disable RPATH.
   * Enable ALSA, OpenAL and SDL audio outputs.
   * Add watch file.
   * Drop the VCS URIs for now.
   * Standards-Version 3.9.5, no further change required.
Checksums-Sha1: 
 3016fbabadba3da33ccd38d9e45fc17678c5d8ba 1834 libmikmod_3.3.4-1.dsc
 49532c06ce1ed0aa727964c25e3bfc6e89266cd7 1284211 libmikmod_3.3.4.orig.tar.gz
 0393f34fccd329e06aa652c18ad460f0fe73d636 18391 libmikmod_3.3.4-1.debian.tar.gz
 afe6aa483dcf829d5065b76c92cad453df060944 211222 libmikmod-dev_3.3.4-1_amd64.deb
 9992cec13304cc6c2ebac27532d30f03b103cd80 124696 libmikmod3_3.3.4-1_amd64.deb
Checksums-Sha256: 
 2eac86a509cabcf64de63c44e5cf27949bd2823c491ee58d1a0ebf9e5c911247 1834 libmikmod_3.3.4-1.dsc
 2e8ca1d945ff7330741d085548a6d4e8b2f6a9d41edda773607905d8905683ae 1284211 libmikmod_3.3.4.orig.tar.gz
 3fbd15aef2b6557eccb31eb6f963cc955b6f009bafa35935596cf7180cd2b982 18391 libmikmod_3.3.4-1.debian.tar.gz
 69a0b303131e8216ade374eee4056751b8d197f6d7b60cbb29ab59db9265aa68 211222 libmikmod-dev_3.3.4-1_amd64.deb
 52978decc3b85da05ca6f1edf2477ae7bb9f1b4dd7bc9d3111d72c69fe58b3fb 124696 libmikmod3_3.3.4-1_amd64.deb
Files: 
 badbe320424ecaff02c2a70ae003f94b 1834 libs optional libmikmod_3.3.4-1.dsc
 3e9ca73d8eeb5a9e4759756cb20a473c 1284211 libs optional libmikmod_3.3.4.orig.tar.gz
 eadb290e098c409bd312beaa9398e98a 18391 libs optional libmikmod_3.3.4-1.debian.tar.gz
 032cf850dd53218677aff43b93e8c5b6 211222 libdevel optional libmikmod-dev_3.3.4-1_amd64.deb
 172dd4f8f0081e7982f18e63ee7278b4 124696 libs optional libmikmod3_3.3.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSplzMAAoJEHWXeKmja0lP6kUP/1hLP0W2PryYFA5IHM88YVzD
nha6PCCmtmFRL6o79dNoLvRMgppIluECA7Ty2rSJ8BRh6AWSM2ZoAHUjb7Fs2Sa3
9St0YI3EpKINIKJzj9OjN1BIDBfL+1ZexOqoOyxL6fStIIBeXEnK8ogp23uIAsMU
jTJ/jWnof7PeyU97kaTrIytuy5qkLv0HmaaXussVtosxzaasmh/xclHq9kPGU5qi
AE51BQOhSK/+7ihpBzjH7nNgQdhqBT6i8DsgI1DEW1JUT9KWZ6xaRtc6+qmS8YsW
bWzvOO7aQ42NZJ2rc+DS4z4HsMcyoFTvGMSNvwc3dNGOe5fYCxn1irZ9D3j69V9M
9wQei7TVx9eMORKvGdyD02li+WpIB1Yb4hGjkvTDX9LWhps1KycGjdIMaKPXwrl8
IX0/MlDplYyTjskw7kHsG423Zgg1dqfSgUGNdg/c/gj9pVxxTYsCQlauCwwgsbta
qXQX3uQ5ZfdfPz5jNU28599kXbLrDt+9ST9q+jR8+yr+pahmkIJ3UGBVsoBcv5q7
y8AKqohK+JanoCY39ihMrZC/ZV9tvObNn/ebF+4Bgp/W1T4hh90KK4aH3Fak+IX9
cL7Ed/XVV+hvFO0yrTjbl5M2/pAR2CatW7tN1AG4qKscDf7KZKgQcHmClFcjXzR8
M8USMvU557fKwH5RYE/W
=tYBs
-----END PGP SIGNATURE-----




Reply sent to Stephen Kitt <skitt@debian.org>:
You have taken responsibility. (Sun, 12 Jan 2014 18:21:10 GMT) Full text and rfc822 format available.

Notification sent to Gergely Nagy <algernon@madhouse-project.org>:
Bug acknowledged by developer. (Sun, 12 Jan 2014 18:21:10 GMT) Full text and rfc822 format available.

Message #21 received at 728593-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: 728593-close@bugs.debian.org
Subject: Bug#728593: fixed in libmikmod 3.1.16-1
Date: Sun, 12 Jan 2014 18:19:55 +0000
Source: libmikmod
Source-Version: 3.1.16-1

We believe that the bug you reported is fixed in the latest version of
libmikmod, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728593@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <skitt@debian.org> (supplier of updated libmikmod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 12 Jan 2014 19:05:58 +0100
Source: libmikmod
Binary: libmikmod2-dev libmikmod2
Architecture: source amd64
Version: 3.1.16-1
Distribution: unstable
Urgency: low
Maintainer: Stephen Kitt <skitt@debian.org>
Changed-By: Stephen Kitt <skitt@debian.org>
Description: 
 libmikmod2 - Portable sound library
 libmikmod2-dev - Portable sound library - development files
Closes: 728593
Changes: 
 libmikmod (3.1.16-1) unstable; urgency=low
 .
   * New maintainer (closes: #728593).
   * New upstream version.
   * Update patches:
     - drop 0001-Drop-LIBOBJS-from-configure.in.patch, obsolete
     - drop 0003-Use-_LP64-to-detect-64bit-arches.patch, integrated
       upstream
     - drop 0004-CVE-2009-0179.patch, integrated upstream
     - drop 0005-CVE-2007-6720.patch, integrated upstream
     - drop 0006-CVE-2009-3995f.patch, fixed in another way upstream
     - drop 0007-CVE-2010-2546.patch, integrated upstream
     - drop 0008-Fix-libmikmod-Makefile.in.patch, obsolete
     - drop 0009-libmikmod-Makefile.in-Respect-CPPFLAGS-and-LDFLAGS.patch,
       obsolete
     - drop 0010-libmikmod-config-manual-page-fix.patch, integrated
       upstream
     - drop 0011-Disable-ALSA-by-default.patch, obsolete
     - drop 0012-fix-ESD.patch, integrated upstream
     - drop 0013-fix-building-of-ESD.patch, obsolete
     - update
       0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch.
   * Add symbols file.
   * Enable ALSA on Linux platforms.
   * Add watch file.
   * Drop the VCS URIs for now.
   * Standards-Version 3.9.5, no further change required.
   * Update lintian overrides.
Checksums-Sha1: 
 bfc6b8fff3f46599936abea732e37bd66aaf238d 1830 libmikmod_3.1.16-1.dsc
 2099407d61f01fc41e06db6a5e002d818d575edd 1011780 libmikmod_3.1.16.orig.tar.gz
 9dbc201ad64e1e13c2c4624c8df0861b61b23861 9045 libmikmod_3.1.16-1.debian.tar.gz
 78a54bbeafabfb78f7dcc0974356475b990ccc61 195866 libmikmod2-dev_3.1.16-1_amd64.deb
 32bc4aea8f68464a9659e1fb97af8772f843aa1b 112778 libmikmod2_3.1.16-1_amd64.deb
Checksums-Sha256: 
 c160911cb189ae5ede7532197a2c90dad862628e3acff29484d6612ba62ca3ed 1830 libmikmod_3.1.16-1.dsc
 b9e6c5064e1ba13ee7ad4f873421e794758c6cb9884a571c928e5637a0b02dd3 1011780 libmikmod_3.1.16.orig.tar.gz
 cfa5fee6ceffb4152b46692c9a74679556b84655230d34af88b708531e94e55d 9045 libmikmod_3.1.16-1.debian.tar.gz
 9ec91bae72349cce4c4832b04df5f9a9e65c74b8ef596e196b673414ac03183e 195866 libmikmod2-dev_3.1.16-1_amd64.deb
 80bce4a888168be2b9ab80ab031fd610fbd2a3f4bcd4d705c8f1657d4504fd41 112778 libmikmod2_3.1.16-1_amd64.deb
Files: 
 45cc5172c246501d90fedb9fd13c445e 1830 libs optional libmikmod_3.1.16-1.dsc
 6e770b2077faa74550dfcdfbd1c3dab2 1011780 libs optional libmikmod_3.1.16.orig.tar.gz
 06cfc1732268419cc8bc9fae69df23fc 9045 libs optional libmikmod_3.1.16-1.debian.tar.gz
 b69becea05f62a2fd5fc58f2c230448a 195866 libdevel optional libmikmod2-dev_3.1.16-1_amd64.deb
 bde51c0e0c03408257768200aac0cc1f 112778 libs optional libmikmod2_3.1.16-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJS0tt2AAoJEHWXeKmja0lPWFoQAJCCeVSRhADVgkXY0I9F5vk4
exklIzosSCEOsO8eIxS9daVGB7fqBkxILuFYXkxQ1Gy1MiUkBZHJ0GTH+2ln2f3A
YV3vmOWRlFPZcfjQawmFtWwjuWPxuzLnw34qG831xSGjn85qMPYNCQmRqCz3il9B
UhiAmHEkcRUje0d9W4+kmxS3ytIXd9yXisYwTJZ6+kLIrOBEboYdWEWk3pxztXjn
ByHQEvSyHpoyLatv3lbm5FAtPNPcgXJC8ftaODTbIyCYQakPyFC+4ZedRkHV1Cos
LxlGJP/D4VpvvnOxqMgDeMM2ZctxtWAxrlLlTTdW8A6eixN0WsTLY1QgJK2mME/R
fwPYOqZL7VBlSVc8vx52g3nnTkS6upIrjEIqBjIEUhi8upXxJ3hnu1nUMCDSt3S6
Q1hL1xpLRYJn0apBZJtRpyq5kIqSxFWRU5pEUIuBw5Tgau59xabftGi13qa5CiIA
SBhmpGTXsBD1wG9YH5fy/ul/hwgwpg5zzG4ux79K0Z+veUFfa0rirsU1/xOJB1md
nt5PAZRraOfr8VrI06MeZ0Ce6ToexDhvn+mZS0T/6LehnqebJURCgdmNNzngW9Az
FN0CQNO+QHN5+7d+XoA1+uwvRLIY25RMaEG9cD4CzdQFGyj6bUJBhLMOe5t9NGn5
U3CRVbCyKKW/TNKXN/pb
=P5Wz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Feb 2014 07:37:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:42:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.